QueryCriteria.VaultCustomQueryCriteria
Keywords: net.corda.core.node.services.vault.QueryCriteria.VaultCustomQueryCriteria class
Date: 2023-09-18

net.corda.core.node.services.vault

## Class QueryCriteria.VaultCustomQueryCriteria<L extends StatePersistable>

- net.corda.core.node.services.vault.QueryCriteria.VaultCustomQueryCriteria<L>

- Enclosing class:
    QueryCriteria

      public static class QueryCriteria.VaultCustomQueryCriteria<L extends StatePersistable>

  VaultCustomQueryCriteria: provides query by custom attributes defined in a contracts QueryableState implementation. (see Persistence documentation for more information)

  Params expression refers to a (composable) type safe `class CriteriaExpression`

  See Also:
    QueryableState, `class CriteriaExpression`

- - ### Constructor Detail

    - #### VaultCustomQueryCriteria

          public VaultCustomQueryCriteria(@NotNull
                                          CriteriaExpression<L,java.lang.Boolean> expression,
                                          @NotNull
                                          net.corda.core.node.services.Vault.StateStatus status,
                                          @Nullable
                                          java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes,
                                          @NotNull
                                          net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus)

      VaultCustomQueryCriteria: provides query by custom attributes defined in a contracts QueryableState implementation. (see Persistence documentation for more information)

      Params expression refers to a (composable) type safe `class CriteriaExpression`

      See Also:
        QueryableState, `class CriteriaExpression`

    - #### VaultCustomQueryCriteria

          @JvmOverloads
          public VaultCustomQueryCriteria(@NotNull
                                                        CriteriaExpression<L,java.lang.Boolean> expression,
                                                        @NotNull
                                                        net.corda.core.node.services.Vault.StateStatus status,
                                                        @Nullable
                                                        java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes)

    - #### VaultCustomQueryCriteria

          @JvmOverloads
          public VaultCustomQueryCriteria(@NotNull
                                                        CriteriaExpression<L,java.lang.Boolean> expression,
                                                        @NotNull
                                                        net.corda.core.node.services.Vault.StateStatus status)

    - #### VaultCustomQueryCriteria

          @JvmOverloads
          public VaultCustomQueryCriteria(@NotNull
                                                        CriteriaExpression<L,java.lang.Boolean> expression)

  - ### Method Detail

    - #### visit

          @NotNull
          public java.util.Collection<javax.persistence.criteria.Predicate> visit(@NotNull
                                                                                           IQueryCriteriaParser parser)

    - #### withExpression

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.VaultCustomQueryCriteria<L> withExpression(@NotNull
                                                                                                                      CriteriaExpression<L,java.lang.Boolean> expression)

    - #### withStatus

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.VaultCustomQueryCriteria<L> withStatus(@NotNull
                                                                                                                  net.corda.core.node.services.Vault.StateStatus status)

    - #### withContractStateTypes

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.VaultCustomQueryCriteria<L> withContractStateTypes(@NotNull
                                                                                                                              java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes)

    - #### withRelevancyStatus

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.VaultCustomQueryCriteria<L> withRelevancyStatus(@NotNull
                                                                                                                           net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus)

    - #### copy

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.VaultCustomQueryCriteria<L> copy(@NotNull
                                                                                                            CriteriaExpression<L,java.lang.Boolean> expression,
                                                                                                            @NotNull
                                                                                                            net.corda.core.node.services.Vault.StateStatus status,
                                                                                                            @Nullable
                                                                                                            java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes)

    - #### getExpression

          @NotNull
          public CriteriaExpression<L,java.lang.Boolean> getExpression()

    - #### getStatus

          @NotNull
          public net.corda.core.node.services.Vault.StateStatus getStatus()

    - #### getContractStateTypes

          @Nullable
          public java.util.Set<java.lang.Class> getContractStateTypes()

    - #### getRelevancyStatus

          @NotNull
          public net.corda.core.node.services.Vault.RelevancyStatus getRelevancyStatus()

    - #### component1

          @NotNull
          public CriteriaExpression<L,java.lang.Boolean> component1()

    - #### component2

          @NotNull
          public net.corda.core.node.services.Vault.StateStatus component2()

    - #### component3

          @Nullable
          public java.util.Set<java.lang.Class> component3()

    - #### component4

          @NotNull
          public net.corda.core.node.services.Vault.RelevancyStatus component4()

    - #### copy

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.VaultCustomQueryCriteria<L> copy(@NotNull
                                                                                                            CriteriaExpression<L,java.lang.Boolean> expression,
                                                                                                            @NotNull
                                                                                                            net.corda.core.node.services.Vault.StateStatus status,
                                                                                                            @Nullable
                                                                                                            java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes,
                                                                                                            @NotNull
                                                                                                            net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus)

      VaultCustomQueryCriteria: provides query by custom attributes defined in a contracts QueryableState implementation. (see Persistence documentation for more information)

      Params expression refers to a (composable) type safe `class CriteriaExpression`

      See Also:
        QueryableState, `class CriteriaExpression`

    - #### toString

          @NotNull
          public java.lang.String toString()

      VaultCustomQueryCriteria: provides query by custom attributes defined in a contracts QueryableState implementation. (see Persistence documentation for more information)

      Params expression refers to a (composable) type safe `class CriteriaExpression`

      See Also:
        QueryableState, `class CriteriaExpression`

    - #### hashCode

          public int hashCode()

      VaultCustomQueryCriteria: provides query by custom attributes defined in a contracts QueryableState implementation. (see Persistence documentation for more information)

      Params expression refers to a (composable) type safe `class CriteriaExpression`

      See Also:
        QueryableState, `class CriteriaExpression`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      VaultCustomQueryCriteria: provides query by custom attributes defined in a contracts QueryableState implementation. (see Persistence documentation for more information)

      Params expression refers to a (composable) type safe `class CriteriaExpression`

      See Also:
        QueryableState, `class CriteriaExpression`